package com.yzkj.scrtsdk.controller;

import com.yzkj.scrtsdk.common.WithTokenAndUrl;
import com.yzkj.scrtsdk.utils.CallbackUrlUtils;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;

@WithTokenAndUrl
@Controller
@RequestMapping("/loginScrt")
public class LoginScrtController {


    @GetMapping("/jumpLogin")
    public String jumpLogin(Model model) {

        try {
            model.addAttribute("jumpUrl", CallbackUrlUtils.getCallbackUrl());
            model.addAttribute("securityServerUrl", CallbackUrlUtils.getSecurityServerUrl());
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        return "scrtLogin";
    }
}
